Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types
Class WorkListItem

    java.lang.Object
      com.tibco.bpm.web.client.model.types.WorkListItem

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable

    public class WorkListItem

extends java.lang.Object
implements com.google.gwt.user.client.rpc.IsSerializable

Detail for a ToDoList item ( Work Item ) retrieved from the AMX BPM server. More details of the fields can be found in the BRM documentation in AMX BPM.

Since:
  2.0

Constructor Summary
`WorkListItem()`

Method Summary
`boolean` | `equals(java.lang.Object that)`
`java.lang.String` | `getActivityID()` The activity ID for the work item.
`java.lang.String` | `getActivityName()` The activity name for the work item.
`java.lang.String` | `getAllocationMethod()` The allocation method ( i.e.
`java.lang.String` | `getAppID()` The application ID for the work item.
`java.lang.String` | `getAppInstanceDescription()` The description of the owner process.
`java.lang.String` | `getAppInstanceID()` The ID of the owner process.
`java.lang.String` | `getAppName()` The application name for the work item.
`long` | `getAttribute1()` Work list attribute 1.
`java.lang.String` | `getAttribute10()` Work list attribute 10.
`java.lang.String` | `getAttribute11()` Work list attribute 11.
`java.lang.String` | `getAttribute12()` Work list attribute 12.
`java.lang.String` | `getAttribute13()` Work list attribute 13.
`java.lang.String` | `getAttribute14()` Work list attribute 14.
`java.lang.String` | `getAttribute2()` Work list attribute 2.
`java.lang.String` | `getAttribute3()` Work list attribute 3.
`java.lang.String` | `getAttribute4()` Work list attribute 4.
`java.math.BigDecimal` | `getAttribute5()` Work list attribute 5.
`java.util.Date` | `getAttribute6()` Work list attribute 6.
`java.util.Date` | `getAttribute7()` Work list attribute 7.
`java.lang.String` | `getAttribute8()` Work list attribute 8.
`java.lang.String` | `getAttribute9()` Work list attribute 9.
`java.lang.String` | `getDescription()` The description of the work item.
`java.util.Date` | `getEndDate()` When the item completed.
`long` | `getGroupID()` The group ID for the work item.
`long` | `getId()` The ID for the work item.
`java.lang.String` | `getName()` The name of the step.
`int` | `getPriority()` The priority.
`java.lang.String` | `getScheduleStatus()` The schedule status of the work item.
`java.util.Date` | `getStartDate()` When the item was started.
`java.lang.String` | `getState()` The state ( i.e.
`long` | `getVersion()` The version of the work item.
`java.lang.String` | `getWorkTypeDescription()` The work type description for the work item.
`java.lang.String` | `getWorkTypeID()` The ID of the work type associated with the work item.
`java.lang.String` | `getWorkTypeVersion()` The version of the work type associated with the work item.
`boolean` | `isDeadline()` If a deadline is set on the work item.
`boolean` | `isVisible()` The visibility of the work item.
`void` | `setActivityID(java.lang.String activityID)` The activity ID for the work item.
`void` | `setActivityName(java.lang.String activityName)` The activity name for the work item.
`void` | `setAllocationMethod(java.lang.String allocationMethod)` The allocation method ( i.e.
`void` | `setAppID(java.lang.String appID)` The application ID for the work item.
`void` | `setAppInstanceDescription(java.lang.String appInstanceDescription)` The description of the owner process.
`void` | `setAppInstanceID(java.lang.String appInstanceID)` The ID of the owner process.
`void` | `setAppName(java.lang.String appName)` The application name for the work item.
`void` | `setAttribute1(long attribute1)` Work list attribute 1.
`void` | `setAttribute10(java.lang.String attribute10)` Work list attribute 10.
`void` | `setAttribute11(java.lang.String attribute11)` Work list attribute 11.
`void` | `setAttribute12(java.lang.String attribute12)` Work list attribute 12.
`void` | `setAttribute13(java.lang.String attribute13)` Work list attribute 13.
`void` | `setAttribute14(java.lang.String attribute14)` Work list attribute 14.
`void` | `setAttribute2(java.lang.String attribute2)` Work list attribute 2.
`void` | `setAttribute3(java.lang.String attribute3)` Work list attribute 3.
`void` | `setAttribute4(java.lang.String attribute4)` Work list attribute 4.
`void` | `setAttribute5(java.math.BigDecimal attribute5)` Work list attribute 5.
`void` | `setAttribute6(java.util.Date attribute6)` Work list attribute 6.
`void` | `setAttribute7(java.util.Date attribute7)` Work list attribute 7.
`void` | `setAttribute8(java.lang.String attribute8)` Work list attribute 8.
`void` | `setAttribute9(java.lang.String attribute9)` Work list attribute 9.
`void` | `setDeadline(boolean deadline)` If a deadline is set on the work item.
`void` | `setDescription(java.lang.String description)` The description of the work item.
`void` | `setEndDate(java.util.Date endDate)` When the item completed.
`void` | `setGroupID(long groupID)` The group ID for the work item.
`void` | `setId(long id)` The ID for the work item.
`void` | `setName(java.lang.String name)` The name of the step.
`void` | `setPriority(int priority)` The priority.
`void` | `setScheduleStatus(java.lang.String scheduleStatus)` The schedule status of the work item.
`void` | `setStartDate(java.util.Date startDate)` When the item was started.
`void` | `setState(java.lang.String state)` The state ( i.e.
`void` | `setVersion(long version)` The version of the work item.
`void` | `setVisible(boolean visible)` The visibility of the work item.
`void` | `setWorkTypeDescription(java.lang.String workTypeDescription)` The work type description for the work item.
`void` | `setWorkTypeID(java.lang.String workTypeID)` The ID of the work type associated with the work item.
`void` | `setWorkTypeVersion(java.lang.String workTypeVersion)` The version of the work type associated with the work item.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WorkListItem

    public WorkListItem()

Method Detail

### getAllocationMethod

    public java.lang.String getAllocationMethod()

  The allocation method ( i.e. OFFERED, ALLOCATED ).

  Returns:
    Returns the allocationMethod.

### setAllocationMethod

    public void setAllocationMethod(java.lang.String allocationMethod)

  The allocation method ( i.e. OFFERED, ALLOCATED ).

  Parameters:
    `allocationMethod` - The allocationMethod to set.

### getState

    public java.lang.String getState()

  The state ( i.e. OFFERED, ALLOCATED, OPENED, SUSPENDED ).

  Returns:
    Returns the state.

### setState

    public void setState(java.lang.String state)

  The state ( i.e. OFFERED, ALLOCATED, OPENED, SUSPENDED ).

  Parameters:
    `state` - The state to set.

### getPriority

    public int getPriority()

  The priority.

  Returns:
    Returns the priority.

### setPriority

    public void setPriority(int priority)

  The priority.

  Parameters:
    `priority` - The priority to set.

### getDescription

    public java.lang.String getDescription()

  The description of the work item.

  Returns:
    Returns the description.

### setDescription

    public void setDescription(java.lang.String description)

  The description of the work item.

  Parameters:
    `description` - The description to set.

### getName

    public java.lang.String getName()

  The name of the step.

  Returns:
    Returns the name.

### setName

    public void setName(java.lang.String name)

  The name of the step.

  Parameters:
    `name` - The name to set.

### getAppInstanceID

    public java.lang.String getAppInstanceID()

  The ID of the owner process.

  Returns:
    Returns the appInstanceID.

### setAppInstanceID

    public void setAppInstanceID(java.lang.String appInstanceID)

  The ID of the owner process.

  Parameters:
    `appInstanceID` - The appInstanceID to set.

### getStartDate

    public java.util.Date getStartDate()

  When the item was started.

  Returns:
    Returns the startDate.

### setStartDate

    public void setStartDate(java.util.Date startDate)

  When the item was started.

  Parameters:
    `startDate` - The startDate to set.

### getEndDate

    public java.util.Date getEndDate()

  When the item completed.

  Returns:
    Returns the endDate.

### setEndDate

    public void setEndDate(java.util.Date endDate)

  When the item completed.

  Parameters:
    `endDate` - The endDate to set.

### getId

    public long getId()

  The ID for the work item.

  Returns:
    Returns the id.

### setId

    public void setId(long id)

  The ID for the work item.

  Parameters:
    `id` - The id to set.

### getVersion

    public long getVersion()

  The version of the work item.

  Returns:
    Returns the version.

### setVersion

    public void setVersion(long version)

  The version of the work item.

  Parameters:
    `version` - The version to set.

### getAppInstanceDescription

    public java.lang.String getAppInstanceDescription()

  The description of the owner process.

  Returns:
    Returns the appInstanceDescription.

### setAppInstanceDescription

    public void setAppInstanceDescription(java.lang.String appInstanceDescription)

  The description of the owner process.

  Parameters:
    `appInstanceDescription` - The appInstanceDescription to set.

### isVisible

    public boolean isVisible()

  The visibility of the work item.

  Returns:
    Returns the visible.

### setVisible

    public void setVisible(boolean visible)

  The visibility of the work item.

  Parameters:
    `visible` - The visible to set.

### isDeadline

    public boolean isDeadline()

  If a deadline is set on the work item.

  Returns:
    Returns the deadline.

### setDeadline

    public void setDeadline(boolean deadline)

  If a deadline is set on the work item.

  Parameters:
    `deadline` - The deadline to set.

### getWorkTypeVersion

    public java.lang.String getWorkTypeVersion()

  The version of the work type associated with the work item.

  Returns:
    Returns the workTypeVersion.

### setWorkTypeVersion

    public void setWorkTypeVersion(java.lang.String workTypeVersion)

  The version of the work type associated with the work item.

  Parameters:
    `workTypeVersion` - The workTypeVersion to set.

### getAppID

    public java.lang.String getAppID()

  The application ID for the work item.

  Returns:
    Returns the appID.

### setAppID

    public void setAppID(java.lang.String appID)

  The application ID for the work item.

  Parameters:
    `appID` - The appID to set.

### getActivityID

    public java.lang.String getActivityID()

  The activity ID for the work item.

  Returns:
    Returns the activityID.

### setActivityID

    public void setActivityID(java.lang.String activityID)

  The activity ID for the work item.

  Parameters:
    `activityID` - The activityID to set.

### getActivityName

    public java.lang.String getActivityName()

  The activity name for the work item.

  Returns:
    Returns the activityName.

### setActivityName

    public void setActivityName(java.lang.String activityName)

  The activity name for the work item.

  Parameters:
    `activityName` - The activityName to set.

### getAppName

    public java.lang.String getAppName()

  The application name for the work item.

  Returns:
    Returns the appName.

### setAppName

    public void setAppName(java.lang.String appName)

  The application name for the work item.

  Parameters:
    `appName` - The appName to set.

### getWorkTypeDescription

    public java.lang.String getWorkTypeDescription()

  The work type description for the work item.

  Returns:
    Returns the workTypeDescription.

### setWorkTypeDescription

    public void setWorkTypeDescription(java.lang.String workTypeDescription)

  The work type description for the work item.

  Parameters:
    `workTypeDescription` - The workTypeDescription to set.

### getWorkTypeID

    public java.lang.String getWorkTypeID()

  The ID of the work type associated with the work item.

  Returns:
    Returns the workTypeID.

### setWorkTypeID

    public void setWorkTypeID(java.lang.String workTypeID)

  The ID of the work type associated with the work item.

  Parameters:
    `workTypeID` - The workTypeID to set.

### getScheduleStatus

    public java.lang.String getScheduleStatus()

  The schedule status of the work item.

  Returns:
    Returns the scheduleStatus.

### setScheduleStatus

    public void setScheduleStatus(java.lang.String scheduleStatus)

  The schedule status of the work item.

  Parameters:
    `scheduleStatus` - The scheduleStatus to set.

### getGroupID

    public long getGroupID()

  The group ID for the work item.

  Returns:
    Returns the groupID.

### setGroupID

    public void setGroupID(long groupID)

  The group ID for the work item.

  Parameters:
    `groupID` - The groupID to set.

### getAttribute1

    public long getAttribute1()

  Work list attribute 1.

  Returns:
    Returns the attribute1.

### setAttribute1

    public void setAttribute1(long attribute1)

  Work list attribute 1.

  Parameters:
    `attribute1` - The attribute1 to set.

### getAttribute2

    public java.lang.String getAttribute2()

  Work list attribute 2.

  Returns:
    Returns the attribute2.

### setAttribute2

    public void setAttribute2(java.lang.String attribute2)

  Work list attribute 2.

  Parameters:
    `attribute2` - The attribute2 to set.

### getAttribute3

    public java.lang.String getAttribute3()

  Work list attribute 3.

  Returns:
    Returns the attribute3.

### setAttribute3

    public void setAttribute3(java.lang.String attribute3)

  Work list attribute 3.

  Parameters:
    `attribute3` - The attribute3 to set.

### getAttribute4

    public java.lang.String getAttribute4()

  Work list attribute 4.

  Returns:
    Returns the attribute4.

### setAttribute4

    public void setAttribute4(java.lang.String attribute4)

  Work list attribute 4.

  Parameters:
    `attribute4` - The attribute4 to set.

### getAttribute5

    public java.math.BigDecimal getAttribute5()

  Work list attribute 5.

  Returns:
    Returns the attribute5.

### setAttribute5

    public void setAttribute5(java.math.BigDecimal attribute5)

  Work list attribute 5.

  Parameters:
    `attribute5` - The attribute5 to set.

### getAttribute6

    public java.util.Date getAttribute6()

  Work list attribute 6.

  Returns:
    Returns the attribute6.

### setAttribute6

    public void setAttribute6(java.util.Date attribute6)

  Work list attribute 6.

  Parameters:
    `attribute6` - The attribute6 to set.

### getAttribute7

    public java.util.Date getAttribute7()

  Work list attribute 7.

  Returns:
    Returns the attribute7.

### setAttribute7

    public void setAttribute7(java.util.Date attribute7)

  Work list attribute 7.

  Parameters:
    `attribute7` - The attribute7 to set.

### getAttribute8

    public java.lang.String getAttribute8()

  Work list attribute 8.

  Returns:
    Returns the attribute8.

### setAttribute8

    public void setAttribute8(java.lang.String attribute8)

  Work list attribute 8.

  Parameters:
    `attribute8` - The attribute8 to set.

### getAttribute9

    public java.lang.String getAttribute9()

  Work list attribute 9.

  Returns:
    Returns the attribute9.

### setAttribute9

    public void setAttribute9(java.lang.String attribute9)

  Work list attribute 9.

  Parameters:
    `attribute9` - The attribute9 to set.

### getAttribute10

    public java.lang.String getAttribute10()

  Work list attribute 10.

  Returns:
    Returns the attribute10.

### setAttribute10

    public void setAttribute10(java.lang.String attribute10)

  Work list attribute 10.

  Parameters:
    `attribute10` - The attribute10 to set.

### getAttribute11

    public java.lang.String getAttribute11()

  Work list attribute 11.

  Returns:
    Returns the attribute11.

### setAttribute11

    public void setAttribute11(java.lang.String attribute11)

  Work list attribute 11.

  Parameters:
    `attribute11` - The attribute11 to set.

### getAttribute12

    public java.lang.String getAttribute12()

  Work list attribute 12.

  Returns:
    Returns the attribute12.

### setAttribute12

    public void setAttribute12(java.lang.String attribute12)

  Work list attribute 12.

  Parameters:
    `attribute12` - The attribute12 to set.

### getAttribute13

    public java.lang.String getAttribute13()

  Work list attribute 13.

  Returns:
    Returns the attribute13.

### setAttribute13

    public void setAttribute13(java.lang.String attribute13)

  Work list attribute 13.

  Parameters:
    `attribute13` - The attribute13 to set.

### getAttribute14

    public java.lang.String getAttribute14()

  Work list attribute 14.

  Returns:
    Returns the attribute14.

### setAttribute14

    public void setAttribute14(java.lang.String attribute14)

  Work list attribute 14.

  Parameters:
    `attribute14` - The attribute14 to set.

### equals

    public boolean equals(java.lang.Object that)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.